from sympy.generator import FormulaGenerator

formula = r'\forall a,b,c,d\in\mathbb{R}: (a+b\mathrm{i})*(c+d\mathrm{i}) = (ac - bd) + (ad + bc)\mathrm{i}'

formula  = FormulaGenerator(formula)
for version in formula.generate_versions_iterator(max=4):
    print(version)